{{set . "title" "About Us"}}
{{template "header.html" .}}

<div class="container">
  <div class="row">
    <div class="col-12">
      <h1>{{msg . "aboutus.title"}}</h1>
      <p>{{msg . "aboutus.description"}}</p>
    </div>
  </div>
{{$root := .}}
{{range $key, $value := .users}}
  <div class="row">
    <div class="col">
      <h1 class="pt-5 text-muted">{{$key}}
        {{- if eq $key "members"}} ({{len $value}}){{end}}</h1>
      {{if eq $key "members"}}
      <p class="text-muted">{{msg $root "aboutus.members_hint"}}</p>
      {{end}}
    </div>
  </div>
  <div class="row">
  {{- range $i, $user := $value}}
    {{- $public := (or $user.PublicProfile (or (eq $key "admins") (eq $key "committee")))}}
    {{- if $public}}
    <div class="col m-2 d-flex justify-content-center">
      <div class="card" style="height: 100%; width: 18rem;">
        <object class="card-img-top" data="{{gravatarurl $user | htmlattr}}">
          <img class="card-img-top" src="{{config.Gravatar.DefaultImage | htmlattr}}" alt="Default">
        </object>
        <div class="card-body">
          <h5 class="card-title">{{$user.CN}}</h5>
          <p class="card-text"><a href="mailto:
          {{- if eq $user.PublicEmailField "maildrop"}}
            {{- $user.Maildrop}}{{else}}{{$user.Email}}{{end}}">
          {{- if eq $user.PublicEmailField "maildrop"}}
            {{- $user.Maildrop}}{{else}}{{$user.Email}}{{end}}</a></p>
          <p class="card-text">{{safehtml $user.Description}}</p>
        </div>
      </div>
    </div>
    {{- end}}
  {{- end}}
  </div>
{{end}}
</div>

{{template "footer.html" .}}
